Metadata-Version: 2.4
Name: certbot-dns-lunanode
Version: 0.1.0
Summary: Certbot DNS Plugin for Lunanode
Project-URL: Homepage, https://codeberg.org/jneen/certbot-dns-lunanode
Project-URL: Repository, https://codeberg.org/jneen/certbot-dns-lunanode
Author-email: Jeanine Adkisson <jneen@jneen.ca>
License: GPLv3
Keywords: acme,certbot,dns,letsencrypt,lunanode
Requires-Dist: certbot>=2.0
Requires-Dist: requests>=2.0
Description-Content-Type: text/markdown

# Lunanode DNS Plugin for Certbot

This certbot plugin allows the use of the Lunanode Dynamic API to authenticate via Certbot.

## Usage

* `pip install certbot-dns-lunanode`
* Add a file `/etc/letsencrypt/lunanode.ini`:

```ini
dns_lunanode_api_id = YOUR_API_ID
dns_lunanode_api_key = YOUR_API_KEY
```

* `chmod 600 /etc/letsencrypt/lunanode.ini`
* Use `--authenticator=dns-lunanode` when calling certbot.

Optional:
* To use a path other than `/etc/letsencrypt/lunanode.ini`, use `--dns-lunanode-credentials=/your/cool/path`.
